<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DrawPaint (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawPaint (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":9,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":9,"i12":9,"i13":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawPaint.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawNotImplemented.html"
               title="annotation in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawPictureShape.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawPaint.html" target="_top">Frames</a></li>
        <li><a href="DrawPaint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw</div>
    <h2 title="Class DrawPaint" class="title">Class DrawPaint</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.sl.draw.DrawPaint</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">DrawPaint</span>
extends java.lang.Object</pre>
                <div class="block">This class handles color transformations.</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="https://tips4java.wordpress.com/2009/07/05/hsl-color/">HSL code taken from Java Tips
                        Weblog</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#shape">shape</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#DrawPaint-org.apache.poi.sl.usermodel.PlaceableShape-">DrawPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#applyColorTransform-org.apache.poi.sl.usermodel.ColorStyle-">applyColorTransform</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">ColorStyle</a>&nbsp;color)</code>
                                    <div class="block">Convert color transformations in <a
                                            href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                                            title="interface in org.apache.poi.sl.usermodel"><code>ColorStyle</code></a>
                                        to a <code>Color</code> instance
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#createLinearGradientPaint-org.apache.poi.sl.usermodel.PaintStyle.GradientPaint-java.awt.Graphics2D-">createLinearGradientPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a>&nbsp;fill,
                                    java.awt.Graphics2D&nbsp;graphics)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#createPathGradientPaint-org.apache.poi.sl.usermodel.PaintStyle.GradientPaint-java.awt.Graphics2D-">createPathGradientPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a>&nbsp;fill,
                                    java.awt.Graphics2D&nbsp;graphics)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#createRadialGradientPaint-org.apache.poi.sl.usermodel.PaintStyle.GradientPaint-java.awt.Graphics2D-">createRadialGradientPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a>&nbsp;fill,
                                    java.awt.Graphics2D&nbsp;graphics)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#createSolidPaint-java.awt.Color-">createSolidPaint</a></span>(java.awt.Color&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#createSolidPaint-org.apache.poi.sl.usermodel.ColorStyle-">createSolidPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">ColorStyle</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#getGradientPaint-org.apache.poi.sl.usermodel.PaintStyle.GradientPaint-java.awt.Graphics2D-">getGradientPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a>&nbsp;fill,
                                    java.awt.Graphics2D&nbsp;graphics)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#getPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle-">getPaint</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                       title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;paint)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#getPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle-org.apache.poi.sl.usermodel.PaintStyle.PaintModifier-">getPaint</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                       title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;paint,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.PaintModifier.html"
                                       title="enum in org.apache.poi.sl.usermodel">PaintStyle.PaintModifier</a>&nbsp;modifier)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#getSolidPaint-org.apache.poi.sl.usermodel.PaintStyle.SolidPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle.PaintModifier-">getSolidPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a>&nbsp;fill,
                                    java.awt.Graphics2D&nbsp;graphics,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.PaintModifier.html"
                                       title="enum in org.apache.poi.sl.usermodel">PaintStyle.PaintModifier</a>&nbsp;modifier)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#getTexturePaint-org.apache.poi.sl.usermodel.PaintStyle.TexturePaint-java.awt.Graphics2D-">getTexturePaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.TexturePaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.TexturePaint</a>&nbsp;fill,
                                    java.awt.Graphics2D&nbsp;graphics)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>static java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#HSL2RGB-double-double-double-double-">HSL2RGB</a></span>(double&nbsp;h,
                                    double&nbsp;s,
                                    double&nbsp;l,
                                    double&nbsp;alpha)</code>
                                    <div class="block">Convert HSL values to a RGB Color.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>static float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#lin2srgb-int-">lin2srgb</a></span>(int&nbsp;linRGB)</code>
                                    <div class="block">Convert linear RGB [0..100000] to sRGB float component [0..1]
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#srgb2lin-float-">srgb2lin</a></span>(float&nbsp;sRGB)</code>
                                    <div class="block">Convert sRGB float component [0..1] from sRGB to linear RGB
                                        [0..100000]
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="shape">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>shape</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt; shape</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="DrawPaint-org.apache.poi.sl.usermodel.PlaceableShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DrawPaint</h4>
                                <pre>public&nbsp;DrawPaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createSolidPaint-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSolidPaint</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a>&nbsp;createSolidPaint(java.awt.Color&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="createSolidPaint-org.apache.poi.sl.usermodel.ColorStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSolidPaint</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a>&nbsp;createSolidPaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">ColorStyle</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="getPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPaint</h4>
                                <pre>public&nbsp;java.awt.Paint&nbsp;getPaint(java.awt.Graphics2D&nbsp;graphics,
                               <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                  title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;paint)</pre>
                            </li>
                        </ul>
                        <a name="getPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle-org.apache.poi.sl.usermodel.PaintStyle.PaintModifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPaint</h4>
                                <pre>public&nbsp;java.awt.Paint&nbsp;getPaint(java.awt.Graphics2D&nbsp;graphics,
                               <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                  title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;paint,
                               <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.PaintModifier.html"
                                  title="enum in org.apache.poi.sl.usermodel">PaintStyle.PaintModifier</a>&nbsp;modifier)</pre>
                            </li>
                        </ul>
                        <a name="getSolidPaint-org.apache.poi.sl.usermodel.PaintStyle.SolidPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle.PaintModifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSolidPaint</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;getSolidPaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a>&nbsp;fill,
                                       java.awt.Graphics2D&nbsp;graphics,
                                       <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.PaintModifier.html"
                                          title="enum in org.apache.poi.sl.usermodel">PaintStyle.PaintModifier</a>&nbsp;modifier)</pre>
                            </li>
                        </ul>
                        <a name="getGradientPaint-org.apache.poi.sl.usermodel.PaintStyle.GradientPaint-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGradientPaint</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;getGradientPaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a>&nbsp;fill,
                                          java.awt.Graphics2D&nbsp;graphics)</pre>
                            </li>
                        </ul>
                        <a name="getTexturePaint-org.apache.poi.sl.usermodel.PaintStyle.TexturePaint-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTexturePaint</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;getTexturePaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.TexturePaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.TexturePaint</a>&nbsp;fill,
                                         java.awt.Graphics2D&nbsp;graphics)</pre>
                            </li>
                        </ul>
                        <a name="applyColorTransform-org.apache.poi.sl.usermodel.ColorStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyColorTransform</h4>
                                <pre>public static&nbsp;java.awt.Color&nbsp;applyColorTransform(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">ColorStyle</a>&nbsp;color)</pre>
                                <div class="block">Convert color transformations in <a
                                        href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel"><code>ColorStyle</code></a> to
                                    a <code>Color</code> instance
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="https://msdn.microsoft.com/en-us/library/dd560821%28v=office.12%29.aspx">Using
                                            Office Open XML to Customize Document Formatting in the 2007 Office
                                            System</a>,
                                        <a href="https://social.msdn.microsoft.com/Forums/office/en-US/040e0a1f-dbfe-4ce5-826b-38b4b6f6d3f7/saturation-modulation-satmod">saturation
                                            modulation (satMod)</a>,
                                        <a href="http://stackoverflow.com/questions/6754127/office-open-xml-satmod-results-in-more-than-100-saturation">Office
                                            Open XML satMod results in more than 100% saturation</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createLinearGradientPaint-org.apache.poi.sl.usermodel.PaintStyle.GradientPaint-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createLinearGradientPaint</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;createLinearGradientPaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a>&nbsp;fill,
                                                   java.awt.Graphics2D&nbsp;graphics)</pre>
                            </li>
                        </ul>
                        <a name="createRadialGradientPaint-org.apache.poi.sl.usermodel.PaintStyle.GradientPaint-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createRadialGradientPaint</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;createRadialGradientPaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a>&nbsp;fill,
                                                   java.awt.Graphics2D&nbsp;graphics)</pre>
                            </li>
                        </ul>
                        <a name="createPathGradientPaint-org.apache.poi.sl.usermodel.PaintStyle.GradientPaint-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPathGradientPaint</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;createPathGradientPaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a>&nbsp;fill,
                                                 java.awt.Graphics2D&nbsp;graphics)</pre>
                            </li>
                        </ul>
                        <a name="HSL2RGB-double-double-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSL2RGB</h4>
                                <pre>public static&nbsp;java.awt.Color&nbsp;HSL2RGB(double&nbsp;h,
                                     double&nbsp;s,
                                     double&nbsp;l,
                                     double&nbsp;alpha)</pre>
                                <div class="block">Convert HSL values to a RGB Color.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>h</code> - Hue is specified as degrees in the range 0 - 360.</dd>
                                    <dd><code>s</code> - Saturation is specified as a percentage in the range 1 - 100.
                                    </dd>
                                    <dd><code>l</code> - Luminance is specified as a percentage in the range 1 - 100.
                                    </dd>
                                    <dd><code>alpha</code> - the alpha value between 0 - 1</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the RGB Color object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="srgb2lin-float-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>srgb2lin</h4>
                                <pre>public static&nbsp;int&nbsp;srgb2lin(float&nbsp;sRGB)</pre>
                                <div class="block">Convert sRGB float component [0..1] from sRGB to linear RGB
                                    [0..100000]
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>Color.getRGBColorComponents(float[])</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="lin2srgb-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>lin2srgb</h4>
                                <pre>public static&nbsp;float&nbsp;lin2srgb(int&nbsp;linRGB)</pre>
                                <div class="block">Convert linear RGB [0..100000] to sRGB float component [0..1]</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><code>Color.getRGBColorComponents(float[])</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawPaint.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawNotImplemented.html"
               title="annotation in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawPictureShape.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawPaint.html" target="_top">Frames</a></li>
        <li><a href="DrawPaint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
